// PointSprite.vert

#version 130
#extension GL_EXT_geometry_shader4 : enable
#extension GL_EXT_gpu_shader4 : enable

uniform sampler2D textureImage;
uniform int fogMode;
uniform float clipThreshold;
uniform float aspectAngleFactor; 

attribute float pointSize;

out vec3 positionIn;
out float pointSizeIn;

void main(void)
{
    gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
    gl_FrontColor = gl_Color;
    pointSizeIn = pointSize;
}
